/***************************************************************************
                          NewAudioCdDialogBase.h  -  description
                             -------------------
    begin                : Fri Apr 5 2002
    copyright            : (C) 2002 by alexpod
    email                : alexpod@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef NEWAUDIOCDDIALOGBASE_H
#define NEWAUDIOCDDIALOGBASE_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class DialogCntPnl;
class DriveInfoPnl;
class QCheckBox;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class SpeedPnl;

class NewAudioCdDialogBase : public QDialog
{ 
    Q_OBJECT

public:
    NewAudioCdDialogBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~NewAudioCdDialogBase();

protected slots:
    virtual void customBtnSlot();
    virtual void isoBrowseSlot();
    virtual void isoOptionsSlot();
    virtual void isoPreviewSlot();

protected:
    QGridLayout* NewAudioCdDialogBaseLayout;
    QVBoxLayout* Frame5Layout;
    QVBoxLayout* detailsPnlLayout;
    QGridLayout* GroupBox6Layout;
    QGridLayout* GroupBox5Layout;
	QFrame* Frame5;
    DriveInfoPnl* targetDevicePnl;
    SpeedPnl* speedPnl;
    DialogCntPnl* dialogCntPnl;
    QFrame* detailsPnl;
    QGroupBox* GroupBox6;
    QComboBox* actionCmb;
    QLabel* numOfCopiesLbl;
    QSpinBox* numberSpn;
    QPushButton* customBurnBtn;
    QCheckBox* finalizeChk;
    QGroupBox* GroupBox5;
    QLineEdit* titleTxt;
    QLabel* perfomLbl;
    QLabel* titleLbl;
    QLineEdit* perfomTxt;
    QCheckBox* saveChk;
    QPushButton* uploadBtn;
};

#endif // NEWAUDIOCDDIALOGBASE_H
