/***************************************************************************
                          RippAudioDialogBase.h  -  description
                             -------------------
    begin                : Mon Feb 5 2002
    copyright            : (C) 2001 by Alex Podolsky
    email                : alexpod@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef RIPPAUDIODIALOGBASE_H
#define RIPPAUDIODIALOGBASE_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class DialogCntPnl;
class DriveInfoPnl;
class QComboBox;
class QFrame;
class QGroupBox;
class QLabel;
class CdboCddaView;
class QListViewItem;
class QPushButton;

class RippAudioDialogBase : public QDialog
{
    Q_OBJECT

public:
    RippAudioDialogBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~RippAudioDialogBase();

protected slots:
    virtual void isoBrowseSlot();

protected:
    QGridLayout* RippAudioDialogBaseLayout;
    QGridLayout* Frame5Layout;
    QGridLayout* detailsPnlLayout;
    QVBoxLayout* tracksPnlLayout;

    QFrame* Frame5;
    DriveInfoPnl* srcDevicePnl;
    QGroupBox* detailsPnl;
    QLabel* outputDirLbl;
    QPushButton* imageBrowseBtn;
    QComboBox* fileFormatCmb;
    QLabel* TextLabel1;
    QFrame* tracksPnl;
    CdboCddaView *trackView;
    DialogCntPnl* dialogCntPnl;
};

#endif // RIPPAUDIODIALOGBASE_H
